GET
/catalog/usql/databases/{databaseName}/schemas/{schemaName}/tabletypes/{tableTypeName}
https://azure.com/catalog/usql/databases/{databaseName}/schemas/{schemaName}/tabletypes/{tableTypeName}Retrieves the specified table type from the Data Lake Analytics catalog.
Access Token Required: API Key
Path Parameters
databaseNamestringrequired
The name of the database containing the table type.
schemaNamestringrequired
The name of the schema containing the table type.
tableTypeNamestringrequired
The name of the table type to retrieve.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'https://azure.com/catalog/usql/databases/{databaseName}/schemas/{schemaName}/tabletypes/{tableTypeName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}